1. 플랜 장소 (블록)
WayPoint v1
  • Auth
    • 소셜 로그인
      GET
    • 토큰 재발급
      POST
    • 로그아웃
      POST
    • [개발 서버] 로그인
      POST
  • Users
    • 유저 조회
      GET
    • 유저 정보 수정 (닉네임)
      PUT
    • 약관 동의
      PATCH
    • 프로필 이미지 변경
      PATCH
    • 프로필 이미지 삭제
      DELETE
    • 계정 탈퇴
      DELETE
  • Places
    • 장소 검색
      GET
  • Collections
    • 컬렉션
      • 컬렉션 목록 조회 [페이징O]
      • 컬렉션 조회
      • 컬렉션과 연결된 플랜 조회
      • 컬렉션 생성
      • 컬렉션 수정
      • 컬렉션 삭제
      • 컬렉션 소유자 변경
    • 컬렉션 멤버
      • 컬렉션 멤버 조회
      • 컬렉션 멤버 강퇴
      • 컬렉션에서 나가기
    • 컬렉션 장소
      • URL 장소 추출
        • URL 콘텐츠 분석을 통한 장소 추출
        • 마지막으로 요청한 추출 작업 조회
        • 추출 작업 결과 조회
        • 추출 작업 무시(삭제)
        • 추출 결과로 컬렉션에 장소 추가
      • 검색 결과에서 컬렉션에 장소 추가
      • 컬렉션 장소 목록 조회
      • 컬렉션 장소 상세 조회
      • 컬렉션 장소 메모 수정
      • 컬렉션 장소 삭제
      • 컬렉션 장소 PICK/PASS
    • 컬렉션 초대
      • 컬렉션 초대 링크 생성
  • Plans
    • 플랜
      • 플랜 목록 조회
      • 플랜 조회
      • 플랜 생성
      • 플랜 수정
      • 플랜 삭제
      • 플랜 소유자 변경
    • 플랜 멤버
      • 플랜 멤버 목록 조회
      • 플랜 멤버 내보내기
      • 플랜에서 나가기
    • 플랜 초대
      • 플랜 초대 링크 생성
    • 플랜 컬렉션
      • 플랜에 연결된 컬렉션 조회
      • 플랜에 연결된 컬렉션의 장소 조회
      • 플랜에 연결된 컬렉션의 장소 상세 조회
      • 플랜에 컬렉션 추가
      • 플랜에 연결된 컬렉션 삭제
  • Blocks
    • 플랜 장소 (블록)
      • 블록 목록 조회 [페이징O]
        GET
      • 블록 상세 조회
        GET
      • 블록 추가
        POST
      • 블록 추가 by place
        POST
      • 블록 수동 추가
        POST
      • 블록 수정 (일자/시간/메모)
        PATCH
      • 블록 삭제
        DELETE
      • 블록에 후보지 추가
        POST
      • 블록에서 후보지 확정 v2
        PATCH
      • 후보지 조회 (지출 포함)
        GET
      • 블록에 후보지 삭제 삭제
        DELETE
    • 블록 의견
      • 블록 의견 목록 조회
      • 블록 의견 조회
      • 블록에 의견 추가
      • 블록 의견 수정
      • 블록 의견 삭제
  • Budgets
    • 예산 조회
    • 예산 수정
    • 지출 추가
    • 지출 항목 조회 [페이징X]
    • 지출 수정
    • 지출 삭제
  • ShareLinks
    • 초대링크 접속
  • Notification
    • 알림 조회
    • 알림 읽음
    • 알림 전체 읽음
  • Schemas
    • User
      • request
        • UserUpdate
      • User
    • Place
      • PlaceResponse
      • SocialMediaResponse
      • PlaceCategory
      • SocialMediaType
    • Collection
      • PickPass
        • PickPassResponse
      • CollectionResponse
      • CollectionMemberResponse
      • CollectionPlaceResponse
      • CollectionPlaceDetailResponse
      • FromUrlStatus
      • FailureCode
      • ExtractionJobResponse
    • Plan
      • PlanResponse
      • PlanMemberResponse
      • PlanCollectionResponse
      • PlanAddedBy
      • PlanUpdateResponse
      • PlanDay
      • DayInfo
    • Block
      • sub
        • BlockStatus
        • TineBlockType
      • opinion
        • BlockOpinion
        • OpinionType
        • BlockOpinionSummary
      • BlockResponse
      • BlockDetailResponse
      • CandidateResponse
      • CandidateGroupResponse
      • CandidateExpenseResponse
    • Budget
      • BudgetItem_Type
      • BudgetResponse
      • BudgetItemRequest
      • ExpenseResponse
      • ExpenseGroupResponse
      • expenseItemResponse
    • ShareLinks
      • ShareLinkResponse
    • Global
      • ProblemDetail
    • Notification
      • NotificationResponse
  1. 플랜 장소 (블록)

블록 목록 조회 [페이징O]

Tested
GET
/plans/{planId}/blocks
[설명]
게스트 호출 가능 API
time_block_id는 후보지 관련 api에서 사용됩니다!
자유 시간과 확정된 장소는 selected_block에 들어있습니다!
[제약 조건]
게스트 또는 멤버 권한 필요
[에러]
PLAN_NOT_FOUND(404)
PLAN_DAY_NOT_FOUND(404)
FORBIDDEN_NOT_GUEST(403)
FORBIDDEN_NOT_MEMBER(403)

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/plans//blocks?day=1&page=0&size=20' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "day_Info": {
        "day": 0,
        "date": "string",
        "day_of_week": "string"
    },
    "contents": [
        {
            "time_block_id": "string",
            "type": "PLACE",
            "block_status": "FIXED",
            "start_time": "14:15:22.123Z",
            "end_time": "14:15:22.123Z",
            "candidate_count": 0,
            "candidates": [
                {
                    "block_id": "string",
                    "memo": "string",
                    "place": {
                        "place_id": "53",
                        "google_place_id": "ChIJN1t_tDeuEmsRUsoyG83frY4",
                        "name": "카페 오르빗",
                        "address": "서울특별시 마포구 연남동 123-45",
                        "category": {
                            "level1": {
                                "category_id": "",
                                "name": "F&B"
                            },
                            "level2": {
                                "category_id": "",
                                "name": "식당"
                            },
                            "level3": {
                                "category_id": "",
                                "name": "한식"
                            },
                            "primary_type": {
                                "category_id": "",
                                "name": "korean_restaurant"
                            }
                        },
                        "google_maps_uri": "https://maps.google.com/?cid=1234567890123456789",
                        "photos": [
                            "https://lh3.googleusercontent.com/p/AF1QipNabc123",
                            "https://lh3.googleusercontent.com/p/AF1QipNdef456"
                        ],
                        "point": {
                            "latitude": "37.566535",
                            "longitude": "126.977969"
                        }
                    },
                    "selected": true,
                    "added_by": {
                        "plan_member_id": "string",
                        "nickname": "string",
                        "picture": "string"
                    },
                    "opinion_summary": {
                        "total_count": 0,
                        "distribution": {
                            "positive": 0,
                            "neutral": 0,
                            "negative": 0
                        },
                        "my": {
                            "opinion_id": "string",
                            "type": "POSITIVE"
                        }
                    }
                }
            ],
            "selected_block": {
                "block_id": "string",
                "memo": "string",
                "place": {
                    "place_id": "53",
                    "google_place_id": "ChIJN1t_tDeuEmsRUsoyG83frY4",
                    "name": "카페 오르빗",
                    "address": "서울특별시 마포구 연남동 123-45",
                    "category": {
                        "level1": {
                            "category_id": "",
                            "name": "F&B"
                        },
                        "level2": {
                            "category_id": "",
                            "name": "식당"
                        },
                        "level3": {
                            "category_id": "",
                            "name": "한식"
                        },
                        "primary_type": {
                            "category_id": "",
                            "name": "korean_restaurant"
                        }
                    },
                    "google_maps_uri": "https://maps.google.com/?cid=1234567890123456789",
                    "photos": [
                        "https://lh3.googleusercontent.com/p/AF1QipNabc123",
                        "https://lh3.googleusercontent.com/p/AF1QipNdef456"
                    ],
                    "point": {
                        "latitude": "37.566535",
                        "longitude": "126.977969"
                    }
                },
                "selected": true,
                "added_by": {
                    "plan_member_id": "string",
                    "nickname": "string",
                    "picture": "string"
                },
                "opinion_summary": {
                    "total_count": 0,
                    "distribution": {
                        "positive": 0,
                        "neutral": 0,
                        "negative": 0
                    },
                    "my": {
                        "opinion_id": "string",
                        "type": "POSITIVE"
                    }
                }
            }
        }
    ],
    "has_next": true,
    "size": 0,
    "page": 0
}
Modified at 2026-03-03 16:06:54
Previous
Blocks
Next
블록 상세 조회
Built with